import { useContext, useState } from "react";
import { TextInput, Button, View, Text } from "react-native";
import { baseIPAddress, connexion } from "../../../constants/server";
import { AuthUserContext } from "../../context/AuthContext";


export function Connexion()
{
    const [username, setUsername] = useState("");
    const [token, setToken] = useContext(AuthUserContext)

    function SendServer()
    {
        setToken("A token of some sort")

        fetch(baseIPAddress + connexion, {
            method: "post",
            body: username
        }).then(res => {
            setToken(res.data.token)
        })
    }

    return (
        <View>
            {token != null ? <Text>Connecté.e</Text> : null}
            <View style={{flexDirection:"row"}}>
                <Text>Username : </Text><TextInput value={username} onChangeText={setUsername}/>
            </View>
            <Button title="valider" onPress={SendServer}/>
        </View>
    )
}